#!/usr/bin/python3
# -*- coding: utf-8 -*-
try:
    from BeautifulSoup import BeautifulSoup
except:
    from bs4 import BeautifulSoup

import requests

def main():
    url = 'https://ihned.cz'
    page = requests.get(url).text
    results = []
    soup = BeautifulSoup(page, features="lxml")
    results = soup.findAll('h3', attrs={'class':'article-title'})
    for result in results[0:10]:
        print(result.text)

if __name__ == "__main__":
    main()

